Commit Diff


commit - be6d55da28b36f38eeb4031689b9a4dd8fd04251
commit + c1d16e6f777eccbc7189c602fc4cc1596af66f3a
blob - b08d2aa8c7b2bc6aec26f82c7d9c45baf3f31273
blob + 9c1446bf5b7f44b325c2bafc00f9c5ef935ab43f
--- deploy.sh
+++ deploy.sh
@@ -202,13 +202,13 @@ render_dhcpd_conf() {
 	. "$f"
 	_instance=$(check_instance "$f" "$instance")
 	printf "\\thost %s {\\n" "$_instance"
-	printf "\\t\\thardware ethernet %s\\n" "$(fetch_mac "$MAC_PREFIX" "$(find_vm "$VMS" "$_instance")")"
-	printf "\\t\\tfixed-address %s\\n" "$(fetch_ip "$IP_PREFIX" "$IP_START" "$(find_vm "$VMS" "$_instance")")"
-	if ! test -f "${IMAGES}/${_instance}.img"
-	then printf "\\t\\tfilename \"auto_install\"\\n"
-	else printf "\\t\\tfilename \"auto_upgrade\"\\n"
+	printf "\\t\\thardware ethernet %s;\\n" "$(fetch_mac "$MAC_PREFIX" "$(find_vm "$VMS" "$_instance")")"
+	printf "\\t\\tfixed-address %s;\\n" "$(fetch_ip "$IP_PREFIX" "$IP_START" "$(find_vm "$VMS" "$_instance")")"
+	if ! test -f "${IMAGES}/${_instance}.img"
+	then printf "\\t\\tfilename \"auto_install\";\\n"
+	else printf "\\t\\tfilename \"auto_upgrade\";\\n"
 	fi
-	printf "\\t\\toption host-name \"%s\"\\n" "$hostname"
+	printf "\\t\\toption host-name \"%s\";\\n" "$hostname"
 	printf "\\t}\\n"
 	clear_variables
 	done